use super::*;

pub struct NetworkManager {
    channel:Sender<Query>,
}

impl NetworkManager {

}

impl Subsystem for NetworkManager {
    fn start(_supervisor:Option<Sender<Query>>) -> Result<Sender<Query>, Error>
    {
        Err(Error::new())
    }
}
